---
sidebar_label: Plugin & Locale
---

# Plugin Configuration

This page explains the `config.yml` file, which contains generic configuration.

:::warning
**This is a configuration page for the __legacy__ VehiclesPlus v2.** If you are looking for the setup page for the new
VehiclesPlus v3, click [here](/vehiclesplus-v3/setup).
:::

*Per setting will be explained what it means as a comment (`#`).*

```yaml
# DO NOT CHANGE
config-version: 1.0.4

# DO NOT CHANGE, check below
locale: en

# If true, vehicles can drive over slabs
canDriveOverSlabs: true

# If true, vehicles can drive over full blocks
canDriveOverBlocks: true

# The division made to decide the price of a reperation
# If the vehicle costs 350.000, the reperation will cost 350.000 / 100 = 3500
repairCostDivision: 100.0

# If true, vehicles can take damage at interaction of blocks / entities
vehicleDamage: true

# If true, vehicles will stop at collision
entityCollisionStop: true

# If true, the colliding vehicle will get damage at collision
entityCollisionDamageSelf: true

# If true, the colliding entity (for example player) will get damage at collision
entityCollisionDamageEntity: true

# The cost of chaning the name of a vehicle
renameCost: 1000.0

# The cost of changing the owner of a vehicle
ownerChangeCost: 1000.0

# Will not do anything at the moment
onlySpawnOnSpawnpoints: false

# If true, players will get an actionbar when controlling a vehicle (with speeds, health, etc.)
showActionBar: true

# If true, vehicles spawn in the locked state
vehiclesSpawnLocked: true
```

# Changing the locale

:::warning
Do not change the locale setting inside the settings file, instead follow these steps!
:::

1. Stop the server
2. Inside the plugin folder go to the directory 'locale'
3. Change the name of the desired language file to 'lang_en.yml' (Note: The old lang_en.yml should be renamed to
   something like lang_en_old.yml)
4. Start the server