---
sidebar_label: Sounds
---

# Sounds Configuration

This page explains the `sounds.yml` file.

:::warning
**This is a configuration page for the __legacy__ VehiclesPlus v2.** If you are looking for the setup page for the new
VehiclesPlus v3, click [here](/vehiclesplus-v3/setup).
:::

## Example file

*Per setting will be explained what it means as a comment (`#`).*

```yaml
# Below are all the available sounds, applied on the base vehicle 'examplecar'.
sounds:
  examplecar-engine-idle:
    # The sound to play
    sound: car.idle
    # The duration (ticks) to play it for (PAY ATTENTION: some sounds do loop)
    duration: 6
  examplecar-engine-start:
    sound: car.start
    duration: 2
  examplecar-engine-accelerate:
    sound: car.accelerate
    duration: 2
  examplecar-engine-driving:
    sound: car.driving
    duration: 2
  examplecar-engine-slowingdown:
    sound: car.slowingdown
    duration: 2
```

## Adding new sounds

To add the sounds for another base vehicle, just copy the default list and change all the settings.
*Do NOT copy the `[...]`, instead copy the part below it and paste at the end of the file.*

```yaml
[ ... ]
newbasevehicle-engine-idle:
  sound: car.idle
  duration: 6
newbasevehicle-engine-start:
  sound: car.start
  duration: 2
newbasevehicle-engine-accelerate:
  sound: car.accelerate
  duration: 2
newbasevehicle-engine-driving:
  sound: car.driving
  duration: 2
newbasevehicle-engine-slowingdown:
  sound: car.slowingdown
  duration: 2
```